/*
 *  TWIPROM.h
 *  Two Wire Interface EEPROM Library
 *  Created by Franky on 07/02/09.
 *  Licensed under LGPL (free to modify and use as you wish)
 */


#ifndef TWIPROM_H
#define TWIPROM_H

#include <inttypes.h>

#define VCC 42
#define GND 47

typedef uint8_t byte;

class ClassTWIPROM
	{
	public:
		ClassTWIPROM();
		void begin();
		void gen_address();
		void assign(byte C,byte B, byte A);
		void setBlock(byte B);
		void write(unsigned int eeaddress, byte data);
		void write_buffer(unsigned int eeaddresspage, byte * buffer, int length);
		byte read(unsigned int eeaddress);
		void read_buffer(unsigned int eeaddress, byte * buffer, int lenght);
	private:
		byte device_address;
		bool A0;
		bool A1;
		bool A2;
		byte pinA0;
		byte pinA1;
		byte pinA2;
	};

extern ClassTWIPROM TWIPROM;


#endif
